%define name psid64
%define version 0.1
%define release 1
%define prefix /usr

Summary: A PSID file converter and native Commodore 64 music player.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Url: http://psid64.sourceforge.net/
Group: Applications/Multimedia
Source: %{name}-%{version}.tar.gz
Prefix: %{prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PSID64 is a program that makes it possible to listen to your favourite
SID music on a real Commodore 64 computer. It automatically generates
a C64 self extracting executable from a PSID file. The executable
contains the PSID data, a pre-relocated player and may also - if there
is enough space available in the C64 environment - contain a
demonstration program with information about the PSID file.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip
#gzip -9 $RPM_BUILD_ROOT%{prefix}/man/man1/*
#gzip -9 $RPM_BUILD_ROOT%{prefix}/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%files

%doc AUTHORS COPYING INSTALL NEWS README TODO

%{prefix}/bin/psid64
